Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Activate a customer account

Completes the customer account activation flow by setting the initial password. The token is sent to the customer’s email after the merchant triggers customers:start_activation.

PUT/customers/activations/{token}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
tokenstringrequired

Activation token from the email link.

Request body
requiredapplication/json
passwordstringrequired

The new password for the account (min 8 chars).

Responses
200

Account activated

422

Invalid or expired token

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.onbolder.com/v2/customers/activations/abc123def456ghi789' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "password": "newSecureP@ss1"
}'
Response
{
  "id": 3001,
  "email": "jane@example.com",
  "status": "private",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/customers/3001"
    }
  }
}

Was this page helpful?